
QGIS Application - Bug report #4652

An odd coordinate reference system – Pulkovo 1942(58) (GDAL compatible)

2011-12-16 12:26 AM - zirneklitis -

Status: Closed

Priority: Low

Assignee:

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 14550

Description

This coordinate system is total crap. The data projected in this CRS cannot be re-projected to other systems. “Pulkovo 1942(58) (GDAL

compatible)” as the project's CRT creates a mess. Some screen shots will be added to illustrate my opinion. Four different grids are

mapped. Note the travel of the red lines representing  the “Pulkovo 1942(58) (GDAL compatible)” grid.

Tested with 1.7.1. The same problem with 1.9.90-Alpha QGIS code revision f61988e

The CRS “EPSG:44179 Pulkovo 1942(58) (GDAL compatible)” should be removed from the list.

Associated revisions

Revision 42e02d82 - 2011-12-16 01:59 PM - Jürgen Fischer

remove "unsynced" EPSG CRS that are not listed in GDAL (closes #4652)

Revision 182f2761 - 2011-12-16 07:25 PM - Jürgen Fischer

remove "unsynced" EPSG CRS that are not listed in GDAL (closes #4652)

Revision d4ddf368 - 2011-12-20 05:58 PM - Jürgen Fischer

readd google mercartor (pseudo epsg:900913) removed with with 42e02d82c05b4da370be77ef71345ba62457cc66 (IssueID #4652)

Revision ac836b5f - 2012-01-29 10:32 AM - Jürgen Fischer

readd google mercartor (pseudo epsg:900913) removed with with 42e02d82c05b4da370be77ef71345ba62457cc66 (IssueID #4652)

History

#1 - 2011-12-16 12:26 AM - zirneklitis -

- File Project-s_CRS-EPSG4284.png added

#2 - 2011-12-16 12:27 AM - zirneklitis -

- File Project-s_CRS-EPSG4326.png added

#3 - 2011-12-16 12:27 AM - zirneklitis -

- File Project-s_CRS-EPSG44179.png added
#4 - 2011-12-16 12:28 AM - zirneklitis -

- File Project-s_CRS-EPSG3059.png added

#5 - 2011-12-16 12:28 AM - zirneklitis -

- File Project-s_CRS-EPSG3059_1.9.9.png added

#6 - 2011-12-16 12:32 AM - zirneklitis -

- File example.7z added

#7 - 2011-12-16 12:39 AM - Jürgen Fischer

- Priority changed from 6 to Low

- Resolution set to wontfix

- Status changed from Open to Rejected

QGIS syncs it's CRS with GDAL.  So this should probably be taken there.  But you also might want to check if the CRS is in the latest version of GDAL too.

#8 - 2011-12-16 02:43 AM - zirneklitis -

If it's so why this CRS is listed nowhere else except in QGIS? E.g. GRASS on the same system (= using the same GDAL?) does not provide such CRS.

This CRS is mentioned only in QGIS resources:

/usr/share/qgis/resources/srs.db

C:\\OSGeo4W\\apps\\qgis\

esources\\srs.db

C:\\OSGeo4W\\apps\\qgis-dev\

esources\\srs.db

#9 - 2011-12-16 04:58 AM - Jürgen Fischer

- Status changed from Rejected to In Progress

- Resolution deleted (wontfix)

zirneklitis - wrote:

If it's so why this CRS is listed nowhere else except in QGIS? E.g. GRASS on the same system (= using the same GDAL?) does not provide such

CRS.

Right.  The CRS are only updated, but not removed.

#10 - 2011-12-16 05:00 AM - Jürgen Fischer

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"42e02d82c05b4da370be77ef71345ba62457cc66".

#11 - 2011-12-16 10:27 AM - Borys Jurgiel
Well, in Qgis <1.7 it wasn't any "total crap" ;p It was painful but essential workaround to allow Qgis to recognize proj strings without +towgs parameter

(coming from older GDAL versions, ArcGIS etc). 

In Qgis 1.7 it became unnecessary and, in the same time, incompatible, so please backport it to 1.7

But first please restore 900913 for one important reason: If a WMS supports EPSG:900913 and not EPSG:3785, then it's unavailable for Qgis now. Also

OpenLayersPlugin use it (what is smaller problem, as it can be updated to 3785). Finally, I believe 900913 is better recognizable than 3785.

#12 - 2011-12-19 07:51 AM - Giovanni Manghi

Jürgen Fischer wrote:

Applied in changeset commit:"42e02d82c05b4da370be77ef71345ba62457cc66".

Hi Jurgen,

in QGIS master I don't see anymore CRSs like the Google Mercator, maybe a side effect of this fix?
